program FREE_FIX

	use mod_input, only : readinput
	use mod_plasma, only : read_equilibrium
	use mod_equation_system, only : find_coil_currents
	use mod_boundary, only : get_boundary_psi
	use mod_output, only : writeoutput

	call readinput
	call read_equilibrium
	call find_coil_currents
	call get_boundary_psi
	call writeoutput

	pause 'run completed'

end program FREE_FIX
